%global libiscsi_includedir %{_includedir}/iscsi
%global libiscsi_libdir %{_libdir}/iscsi

Summary: iSCSI client library
Name: libiscsi
Version: 1.19.0
Release: 4%{?dist}
License: LGPLv2+
URL: https://github.com/sahlberg/%{name}
#Source: https://github.com/sahlberg/libiscsi/archive/{version}.tar.gz
Source: libiscsi-20200224-git6ea30ae.tar.xz

BuildRequires: make autoconf automake libtool
BuildRequires: popt-devel CUnit-devel libgcrypt-devel rdma-core-devel

%description
Libiscsi is a client-side library to implement the iSCSI protocol
that can be used to access the resources of an iSCSI target.

%package devel
Summary: iSCSI client development libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libiscsi-devel package includes the header files for libiscsi.

%package utils
Summary: iSCSI Client Utilities
License: GPLv2+
Requires: %{name} = %{version}-%{release}

%description utils
This package provides a set of assorted utilities to connect
to iSCSI servers without having to set up the Linux iSCSI initiator.

%prep
%autosetup

%build
sh autogen.sh
%configure --libdir=%{libiscsi_libdir} --disable-werror
%make_build

%install
%make_install pkgconfigdir=%{_libdir}/pkgconfig

mkdir -p %{buildroot}/etc/ld.so.conf.d
echo %{libiscsi_libdir} > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
rm %{buildroot}/%{libiscsi_libdir}/libiscsi.{a,la}


%files
%license COPYING LICENCE-LGPL-2.1.txt
%doc README TODO
%dir %{libiscsi_libdir}
%{libiscsi_libdir}/libiscsi.so.9
%{libiscsi_libdir}/libiscsi.so.*
%config /etc/ld.so.conf.d/*

%files utils
%license LICENCE-GPL-2.txt
%{_bindir}/iscsi-ls
%{_bindir}/iscsi-inq
%{_bindir}/iscsi-readcapacity16
%{_bindir}/iscsi-swp
%{_bindir}/iscsi-perf
%{_bindir}/iscsi-test-cu
%{_mandir}/man1/iscsi-ls.1.gz
%{_mandir}/man1/iscsi-inq.1.gz
%{_mandir}/man1/iscsi-swp.1.gz
%{_mandir}/man1/iscsi-test-cu.1.gz

%files devel
%dir %{libiscsi_includedir}
%{libiscsi_includedir}/iscsi.h
%{libiscsi_includedir}/scsi-lowlevel.h
%{libiscsi_libdir}/libiscsi.so
%{_libdir}/pkgconfig/libiscsi.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 cunshunxia <cunshunxia@tencent.com> - 1.19.0-1
- initial build
